Index: palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90
===================================================================
--- palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 3026)
+++ palm/trunk/SOURCE/large_scale_forcing_nudging_mod.f90	(revision 3045)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Error messages revised 
+! 
+! 3026 2018-05-22 10:30:53Z schwenkel
 ! Changed the name specific humidity to mixing ratio, since we are computing
 ! mixing ratios.
@@ -732,6 +735,6 @@
 !--    Check nudging and large scale forcing from external file
        IF ( nudging  .AND.  (  .NOT.  large_scale_forcing ) )  THEN
-          message_string = 'Nudging requires large_scale_forcing = .T.. &'//   &
-                        'Surface fluxes and geostrophic wind should be &'//    &
+          message_string = 'Nudging requires large_scale_forcing = .T.. '//    &
+                        'Surface fluxes and geostrophic wind should be '//     &
                         'prescribed in file LSF_DATA'
           CALL message( 'check_parameters', 'PA0374', 1, 2, 0, 6, 0 )
@@ -740,5 +743,5 @@
        IF ( large_scale_forcing  .AND.  ( bc_lr /= 'cyclic'  .OR.              &
                                           bc_ns /= 'cyclic' ) )  THEN
-          message_string = 'Non-cyclic lateral boundaries do not allow for &'//&
+          message_string = 'Non-cyclic lateral boundaries do not allow for  '//&
                         'the usage of large scale forcing from external file.'
           CALL message( 'check_parameters', 'PA0375', 1, 2, 0, 6, 0 )
@@ -746,5 +749,5 @@
 
        IF ( large_scale_forcing  .AND.  (  .NOT.  humidity ) )  THEN
-          message_string = 'The usage of large scale forcing from external &'//&
+          message_string = 'The usage of large scale forcing from external  '//&
                         'file LSF_DATA requires humidity = .T..'
           CALL message( 'check_parameters', 'PA0376', 1, 2, 0, 6, 0 )
@@ -752,5 +755,5 @@
 
        IF ( large_scale_forcing  .AND.  passive_scalar )  THEN
-          message_string = 'The usage of large scale forcing from external &'//&
+          message_string = 'The usage of large scale forcing from external '// &
                         'file LSF_DATA is not implemented for passive scalars'
           CALL message( 'check_parameters', 'PA0440', 1, 2, 0, 6, 0 )
@@ -759,5 +762,5 @@
        IF ( large_scale_forcing  .AND.  topography /= 'flat'                   &
                               .AND.  .NOT.  lsf_exception )  THEN
-          message_string = 'The usage of large scale forcing from external &'//&
+          message_string = 'The usage of large scale forcing from external  '//&
                         'file LSF_DATA is not implemented for non-flat topography'
           CALL message( 'check_parameters', 'PA0377', 1, 2, 0, 6, 0 )
@@ -765,5 +768,5 @@
 
        IF ( large_scale_forcing  .AND.  ocean )  THEN
-          message_string = 'The usage of large scale forcing from external &'//&
+          message_string = 'The usage of large scale forcing from external '// &
                         'file LSF_DATA is not implemented for ocean runs'
           CALL message( 'check_parameters', 'PA0378', 1, 2, 0, 6, 0 )
@@ -858,6 +861,6 @@
                                  TRIM( data_output_pr(var_count) ) //          &
                                  ' is not implemented for ' //                 &
-                                 'large_scale_forcing = .FALSE.'
-                CALL message( 'lsf_nudging_check_data_output_pr', 'PA0393',    &
+                                 'nudging = .FALSE.'
+                CALL message( 'lsf_nudging_check_data_output_pr', 'PA0394',    &
                                1, 2, 0, 6, 0 )
              ELSE
@@ -873,6 +876,6 @@
                                  TRIM( data_output_pr(var_count) ) //          &
                                  ' is not implemented for ' //                 &
-                                 'large_scale_forcing = .FALSE.'
-                CALL message( 'lsf_nudging_check_data_output_pr', 'PA0393',    &
+                                 'nudging = .FALSE.'
+                CALL message( 'lsf_nudging_check_data_output_pr', 'PA0394',    &
                                1, 2, 0, 6, 0 )
              ELSE
@@ -888,6 +891,6 @@
                                  TRIM( data_output_pr(var_count) ) //          &
                                  ' is not implemented for ' //                 &
-                                 'large_scale_forcing = .FALSE.'
-                CALL message( 'lsf_nudging_check_data_output_pr', 'PA0393',    &
+                                 'nudging = .FALSE.'
+                CALL message( 'lsf_nudging_check_data_output_pr', 'PA0394',    &
                                1, 2, 0, 6, 0 )
              ELSE
@@ -903,6 +906,6 @@
                                  TRIM( data_output_pr(var_count) ) //          &
                                  ' is not implemented for ' //                 &
-                                 'large_scale_forcing = .FALSE.'
-                CALL message( 'lsf_nudging_check_data_output_pr', 'PA0393',    &
+                                 'nudging = .FALSE.'
+                CALL message( 'lsf_nudging_check_data_output_pr', 'PA0394',    &
                                1, 2, 0, 6, 0 )
              ELSE
@@ -1280,6 +1283,6 @@
 
              IF ( ierrn /= 0 )  THEN
-               WRITE ( message_string, * ) 'No time dependent surface variables ' //&
-                                 'in&LSF_DATA for end of run found'
+               WRITE ( message_string, * ) 'No time dependent surface ' //     &
+                                 'variables in LSF_DATA for end of run found'
 
                 CALL message( 'ls_forcing', 'PA0363', 1, 2, 0, 6, 0 )
@@ -1289,5 +1292,5 @@
           IF ( time_surf(1) > end_time )  THEN
              WRITE ( message_string, * ) 'Time dependent surface variables in ' // &
-                                         '&LSF_DATA set in after end of ' ,        &
+                                         'LSF_DATA set in after end of ' ,         &
                                          'simulation - lsf_surf is set to FALSE'
              CALL message( 'ls_forcing', 'PA0371', 0, 0, 0, 6, 0 )
@@ -1316,5 +1319,5 @@
                 IF ( ierrn < 0 )  THEN 
                    WRITE( message_string, * ) 'No time dependent vertical profiles',&
-                                    ' in&LSF_DATA for end of run found'
+                                    ' in LSF_DATA for end of run found'
                    CALL message( 'ls_forcing', 'PA0372', 1, 2, 0, 6, 0 )
                 ENDIF
@@ -1362,7 +1365,7 @@
 
                    IF ( ierrn /= 0 )  THEN
-                      WRITE( message_string, * ) 'zu(',k,') = ', zu(k), 'm ', &
-                           'is higher than the maximum height in LSF_DATA which ',&
-                           'is ', lowheight, 'm. Interpolation on PALM ',         &
+                      WRITE( message_string, * ) 'zu(',k,') = ', zu(k), 'm ',  &
+                           'is higher than the maximum height in LSF_DATA ',   &
+                           'which is ', lowheight, 'm. Interpolation on PALM ',&
                            'grid is not possible.'
                       CALL message( 'ls_forcing', 'PA0395', 1, 2, 0, 6, 0 )
@@ -1832,12 +1835,12 @@
  
                 ierrn = 0
-                READ ( finput, *, IOSTAT=ierrn )  highheight , hightnudge , &
-                                                  highunudge , highvnudge , &
-                                                  highwnudge , highptnudge, &
+                READ ( finput, *, IOSTAT=ierrn )  highheight , hightnudge ,    &
+                                                  highunudge , highvnudge ,    &
+                                                  highwnudge , highptnudge,    &
                                                   highqnudge
                 IF (ierrn /= 0 )  THEN
-                   WRITE( message_string, * ) 'zu(',k,') = ', zu(k), 'm is ',&
-                        'higher than the maximum height in NUDING_DATA which ',  &
-                        'is ', lowheight, 'm. Interpolation on PALM ',           &
+                   WRITE( message_string, * ) 'zu(',k,') = ', zu(k), 'm is ',  &
+                        'higher than the maximum height in NUDING_DATA which ',&
+                        'is ', lowheight, 'm. Interpolation on PALM ',         &
                         'grid is not possible.'
                    CALL message( 'nudging', 'PA0364', 1, 2, 0, 6, 0 )
@@ -1872,6 +1875,6 @@
           ENDIF
 
-          WRITE( message_string, * ) 'Initial profiles of u, v and ',          &
-                                     'scalars from NUDGING_DATA are used.'
+          WRITE( message_string, * ) 'Initial profiles of u, v, pt and q ',    &
+                                     'from NUDGING_DATA are used.'
           CALL message( 'large_scale_forcing_nudging', 'PA0370', 0, 0, 0, 6, 0 )
        ENDIF
